<?php

namespace App\Filament\Resources\SopTemplateResource\Pages;

use App\Filament\Actions\ArchiveSopTemplateAction;
use App\Filament\Actions\ExportSopTemplateAction;
use App\Filament\Actions\PreviewSopTemplateAction;
use App\Filament\Actions\PublishSopTemplateAction;
use App\Filament\Resources\SopTemplateResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;

class EditSopTemplate extends EditRecord
{
    protected static string $resource = SopTemplateResource::class;

    protected function getHeaderActions(): array
    {
        return [
            PreviewSopTemplateAction::make(),
            ExportSopTemplateAction::make(),
            PublishSopTemplateAction::make(),
            ArchiveSopTemplateAction::make(),
            Actions\ViewAction::make(),
            Actions\DeleteAction::make(),
        ];
    }
}
